using FluentValidation;

namespace Indotalent.Features.Inventory.TransferIn.Cqrs;

public class CreateTransferInValidator : AbstractValidator<CreateTransferInRequest>
{
    public CreateTransferInValidator()
    {
        RuleFor(x => x.TransferReceiveDate).NotEmpty().WithMessage("Receive Date is required");
        RuleFor(x => x.TransferOutId).NotEmpty().WithMessage("Transfer Out reference is required");
    }
}